/*
padthv1 - an old-school additive polyphonic synthesizer

  Copyright (C) 2012-2020, rncbc aka Rui Nuno Capela. All rights reserved.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

 
*/

/********************************************************************************
** Form generated from reading UI file 'padthv1widget.ui'
**
** Created by: Qt User Interface Compiler version 5.15.2
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_PADTHV1WIDGET_H
#define UI_PADTHV1WIDGET_H

#include <QtCore/QVariant>
#include <QtGui/QIcon>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QMenu>
#include <QtWidgets/QMenuBar>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QStackedWidget>
#include <QtWidgets/QTabBar>
#include <QtWidgets/QToolButton>
#include <QtWidgets/QVBoxLayout>
#include <QtWidgets/QWidget>
#include <padthv1widget_sample.h>
#include "padthv1widget_env.h"
#include "padthv1widget_filt.h"
#include "padthv1widget_param.h"
#include "padthv1widget_preset.h"
#include "padthv1widget_status.h"
#include "padthv1widget_wave.h"

QT_BEGIN_NAMESPACE

class Ui_padthv1widget
{
public:
    QAction *helpConfigureAction;
    QAction *helpAboutAction;
    QAction *helpAboutQtAction;
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    padthv1widget_preset *Preset;
    QToolButton *RandomParamsButton;
    QToolButton *SwapParamsAButton;
    QToolButton *SwapParamsBButton;
    QToolButton *PanicButton;
    QTabBar *TabBar;
    QSpacerItem *spacerItem;
    QMenuBar *MenuBar;
    QMenu *helpMenu;
    QStackedWidget *StackedWidget;
    QWidget *Sampler1Page;
    QGridLayout *gridLayout;
    QGroupBox *Gen1GroupBox;
    QHBoxLayout *hboxLayout1;
    QVBoxLayout *vboxLayout1;
    padthv1widget_sample *Gen1Sample1;
    QHBoxLayout *hboxLayout2;
    padthv1widget_combo *Gen1Sample1Knob;
    padthv1widget_spin *Gen1Width1Knob;
    padthv1widget_spin *Gen1Scale1Knob;
    padthv1widget_spin *Gen1Nh1Knob;
    padthv1widget_radio *Gen1Apod1Knob;
    padthv1widget_spin *Gen1Detune1Knob;
    padthv1widget_spin *Gen1Glide1Knob;
    QVBoxLayout *vboxLayout2;
    QHBoxLayout *hboxLayout3;
    padthv1widget_spin *Gen1BalanceKnob;
    QHBoxLayout *hboxLayout4;
    padthv1widget_spin *Gen1RingModKnob;
    QVBoxLayout *vboxLayout3;
    padthv1widget_sample *Gen1Sample2;
    QHBoxLayout *hboxLayout5;
    padthv1widget_combo *Gen1Sample2Knob;
    padthv1widget_spin *Gen1Width2Knob;
    padthv1widget_spin *Gen1Scale2Knob;
    padthv1widget_spin *Gen1Nh2Knob;
    padthv1widget_radio *Gen1Apod2Knob;
    padthv1widget_spin *Gen1Detune2Knob;
    padthv1widget_spin *Gen1Glide2Knob;
    QVBoxLayout *vboxLayout4;
    QHBoxLayout *hboxLayout6;
    padthv1widget_spin *Gen1PhaseKnob;
    padthv1widget_spin *Gen1EnvTimeKnob;
    QHBoxLayout *hboxLayout7;
    padthv1widget_spin *Gen1OctaveKnob;
    padthv1widget_spin *Gen1TuningKnob;
    padthv1widget_group *Dcf1GroupBox;
    QVBoxLayout *vboxLayout5;
    QHBoxLayout *hboxLayout8;
    padthv1widget_filt *Dcf1Filt;
    padthv1widget_spin *Dcf1CutoffKnob;
    padthv1widget_spin *Dcf1ResoKnob;
    padthv1widget_radio *Dcf1TypeKnob;
    padthv1widget_radio *Dcf1SlopeKnob;
    QHBoxLayout *hboxLayout9;
    padthv1widget_spin *Dcf1EnvelopeKnob;
    padthv1widget_env *Dcf1Env;
    padthv1widget_spin *Dcf1AttackKnob;
    padthv1widget_spin *Dcf1DecayKnob;
    padthv1widget_spin *Dcf1SustainKnob;
    padthv1widget_spin *Dcf1ReleaseKnob;
    padthv1widget_group *Lfo1GroupBox;
    QVBoxLayout *vboxLayout6;
    QHBoxLayout *hboxLayout10;
    padthv1widget_wave *Lfo1Wave;
    padthv1widget_radio *Lfo1ShapeKnob;
    padthv1widget_spin *Lfo1WidthKnob;
    padthv1widget_env *Lfo1Env;
    padthv1widget_spin *Lfo1AttackKnob;
    padthv1widget_spin *Lfo1DecayKnob;
    padthv1widget_spin *Lfo1SustainKnob;
    padthv1widget_spin *Lfo1ReleaseKnob;
    QHBoxLayout *hboxLayout11;
    padthv1widget_spin *Lfo1BpmKnob;
    padthv1widget_spin *Lfo1RateKnob;
    padthv1widget_check *Lfo1SyncKnob;
    QSpacerItem *spacerItem1;
    padthv1widget_spin *Lfo1SweepKnob;
    padthv1widget_spin *Lfo1PitchKnob;
    QSpacerItem *spacerItem2;
    padthv1widget_spin *Lfo1BalanceKnob;
    padthv1widget_spin *Lfo1RingModKnob;
    QSpacerItem *spacerItem3;
    padthv1widget_spin *Lfo1CutoffKnob;
    padthv1widget_spin *Lfo1ResoKnob;
    QSpacerItem *spacerItem4;
    padthv1widget_spin *Lfo1PanningKnob;
    padthv1widget_spin *Lfo1VolumeKnob;
    QGroupBox *Dca1GroupBox;
    QHBoxLayout *hboxLayout12;
    padthv1widget_spin *Dca1VolumeKnob;
    padthv1widget_env *Dca1Env;
    padthv1widget_spin *Dca1AttackKnob;
    padthv1widget_spin *Dca1DecayKnob;
    padthv1widget_spin *Dca1SustainKnob;
    padthv1widget_spin *Dca1ReleaseKnob;
    QGroupBox *Def1GroupBox;
    QHBoxLayout *hboxLayout13;
    padthv1widget_spin *Def1PitchbendKnob;
    padthv1widget_spin *Def1ModwheelKnob;
    padthv1widget_spin *Def1PressureKnob;
    padthv1widget_spin *Def1VelocityKnob;
    padthv1widget_combo *Def1ChannelKnob;
    padthv1widget_radio *Def1MonoKnob;
    QGroupBox *Out1GroupBox;
    QHBoxLayout *hboxLayout14;
    padthv1widget_spin *Out1WidthKnob;
    padthv1widget_spin *Out1PanningKnob;
    QSpacerItem *spacerItem5;
    padthv1widget_spin *Out1FxSendKnob;
    QSpacerItem *spacerItem6;
    padthv1widget_spin *Out1VolumeKnob;
    QWidget *EffectsPage;
    QGridLayout *gridLayout1;
    QSpacerItem *spacerItem7;
    QGroupBox *Cho1GroupBox;
    QHBoxLayout *hboxLayout15;
    padthv1widget_spin *Cho1WetKnob;
    QSpacerItem *spacerItem8;
    padthv1widget_spin *Cho1DelayKnob;
    padthv1widget_spin *Cho1FeedbKnob;
    padthv1widget_spin *Cho1RateKnob;
    padthv1widget_spin *Cho1ModKnob;
    QGroupBox *Fla1GroupBox;
    QHBoxLayout *hboxLayout16;
    padthv1widget_spin *Fla1WetKnob;
    QSpacerItem *spacerItem9;
    padthv1widget_spin *Fla1DelayKnob;
    padthv1widget_spin *Fla1FeedbKnob;
    padthv1widget_spin *Fla1DaftKnob;
    QGroupBox *Pha1GroupBox;
    QHBoxLayout *hboxLayout17;
    padthv1widget_spin *Pha1WetKnob;
    QSpacerItem *spacerItem10;
    padthv1widget_spin *Pha1RateKnob;
    padthv1widget_spin *Pha1FeedbKnob;
    padthv1widget_spin *Pha1DepthKnob;
    padthv1widget_spin *Pha1DaftKnob;
    QGroupBox *Del1GroupBox;
    QHBoxLayout *hboxLayout18;
    padthv1widget_spin *Del1WetKnob;
    QSpacerItem *spacerItem11;
    padthv1widget_spin *Del1DelayKnob;
    padthv1widget_spin *Del1FeedbKnob;
    padthv1widget_spin *Del1BpmKnob;
    QSpacerItem *spacerItem12;
    QGroupBox *Rev1GroupBox;
    QHBoxLayout *hboxLayout19;
    padthv1widget_spin *Rev1WetKnob;
    QSpacerItem *spacerItem13;
    padthv1widget_spin *Rev1RoomKnob;
    padthv1widget_spin *Rev1DampKnob;
    padthv1widget_spin *Rev1FeedbKnob;
    padthv1widget_spin *Rev1WidthKnob;
    QGroupBox *Dyn1GroupBox;
    QHBoxLayout *hboxLayout20;
    padthv1widget_check *Dyn1CompressKnob;
    padthv1widget_check *Dyn1LimiterKnob;
    QSpacerItem *spacerItem14;
    padthv1widget_status *StatusBar;

    void setupUi(QWidget *padthv1widget)
    {
        if (padthv1widget->objectName().isEmpty())
            padthv1widget->setObjectName(QString::fromUtf8("padthv1widget"));
        const QIcon icon = QIcon(QString::fromUtf8(":/images/padthv1.png"));
        padthv1widget->setWindowIcon(icon);
        helpConfigureAction = new QAction(padthv1widget);
        helpConfigureAction->setObjectName(QString::fromUtf8("helpConfigureAction"));
        helpAboutAction = new QAction(padthv1widget);
        helpAboutAction->setObjectName(QString::fromUtf8("helpAboutAction"));
        helpAboutQtAction = new QAction(padthv1widget);
        helpAboutQtAction->setObjectName(QString::fromUtf8("helpAboutQtAction"));
        vboxLayout = new QVBoxLayout(padthv1widget);
        vboxLayout->setSpacing(8);
        vboxLayout->setContentsMargins(0, 0, 0, 0);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(8);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        Preset = new padthv1widget_preset(padthv1widget);
        Preset->setObjectName(QString::fromUtf8("Preset"));

        hboxLayout->addWidget(Preset);

        RandomParamsButton = new QToolButton(padthv1widget);
        RandomParamsButton->setObjectName(QString::fromUtf8("RandomParamsButton"));

        hboxLayout->addWidget(RandomParamsButton);

        SwapParamsAButton = new QToolButton(padthv1widget);
        SwapParamsAButton->setObjectName(QString::fromUtf8("SwapParamsAButton"));
        SwapParamsAButton->setCheckable(true);

        hboxLayout->addWidget(SwapParamsAButton);

        SwapParamsBButton = new QToolButton(padthv1widget);
        SwapParamsBButton->setObjectName(QString::fromUtf8("SwapParamsBButton"));
        SwapParamsBButton->setCheckable(true);

        hboxLayout->addWidget(SwapParamsBButton);

        PanicButton = new QToolButton(padthv1widget);
        PanicButton->setObjectName(QString::fromUtf8("PanicButton"));

        hboxLayout->addWidget(PanicButton);

        TabBar = new QTabBar(padthv1widget);
        TabBar->setObjectName(QString::fromUtf8("TabBar"));
        TabBar->setShape(QTabBar::RoundedNorth);

        hboxLayout->addWidget(TabBar);

        spacerItem = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(spacerItem);

        MenuBar = new QMenuBar(padthv1widget);
        MenuBar->setObjectName(QString::fromUtf8("MenuBar"));
        QSizePolicy sizePolicy(QSizePolicy::Maximum, QSizePolicy::Minimum);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(MenuBar->sizePolicy().hasHeightForWidth());
        MenuBar->setSizePolicy(sizePolicy);
        helpMenu = new QMenu(MenuBar);
        helpMenu->setObjectName(QString::fromUtf8("helpMenu"));

        hboxLayout->addWidget(MenuBar);


        vboxLayout->addLayout(hboxLayout);

        StackedWidget = new QStackedWidget(padthv1widget);
        StackedWidget->setObjectName(QString::fromUtf8("StackedWidget"));
        Sampler1Page = new QWidget();
        Sampler1Page->setObjectName(QString::fromUtf8("Sampler1Page"));
        gridLayout = new QGridLayout(Sampler1Page);
        gridLayout->setSpacing(8);
        gridLayout->setContentsMargins(8, 8, 8, 8);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        Gen1GroupBox = new QGroupBox(Sampler1Page);
        Gen1GroupBox->setObjectName(QString::fromUtf8("Gen1GroupBox"));
        hboxLayout1 = new QHBoxLayout(Gen1GroupBox);
        hboxLayout1->setSpacing(8);
        hboxLayout1->setContentsMargins(8, 8, 8, 8);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        vboxLayout1 = new QVBoxLayout();
        vboxLayout1->setSpacing(8);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        Gen1Sample1 = new padthv1widget_sample(Gen1GroupBox);
        Gen1Sample1->setObjectName(QString::fromUtf8("Gen1Sample1"));

        vboxLayout1->addWidget(Gen1Sample1);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setSpacing(8);
        hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
        Gen1Sample1Knob = new padthv1widget_combo(Gen1GroupBox);
        Gen1Sample1Knob->setObjectName(QString::fromUtf8("Gen1Sample1Knob"));

        hboxLayout2->addWidget(Gen1Sample1Knob);

        Gen1Width1Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Width1Knob->setObjectName(QString::fromUtf8("Gen1Width1Knob"));

        hboxLayout2->addWidget(Gen1Width1Knob);

        Gen1Scale1Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Scale1Knob->setObjectName(QString::fromUtf8("Gen1Scale1Knob"));

        hboxLayout2->addWidget(Gen1Scale1Knob);

        Gen1Nh1Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Nh1Knob->setObjectName(QString::fromUtf8("Gen1Nh1Knob"));

        hboxLayout2->addWidget(Gen1Nh1Knob);

        Gen1Apod1Knob = new padthv1widget_radio(Gen1GroupBox);
        Gen1Apod1Knob->setObjectName(QString::fromUtf8("Gen1Apod1Knob"));

        hboxLayout2->addWidget(Gen1Apod1Knob);

        Gen1Detune1Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Detune1Knob->setObjectName(QString::fromUtf8("Gen1Detune1Knob"));

        hboxLayout2->addWidget(Gen1Detune1Knob);

        Gen1Glide1Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Glide1Knob->setObjectName(QString::fromUtf8("Gen1Glide1Knob"));

        hboxLayout2->addWidget(Gen1Glide1Knob);


        vboxLayout1->addLayout(hboxLayout2);


        hboxLayout1->addLayout(vboxLayout1);

        vboxLayout2 = new QVBoxLayout();
        vboxLayout2->setSpacing(8);
        vboxLayout2->setContentsMargins(8, 8, 8, 8);
        vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
        hboxLayout3 = new QHBoxLayout();
        hboxLayout3->setSpacing(8);
        hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
        Gen1BalanceKnob = new padthv1widget_spin(Gen1GroupBox);
        Gen1BalanceKnob->setObjectName(QString::fromUtf8("Gen1BalanceKnob"));

        hboxLayout3->addWidget(Gen1BalanceKnob);


        vboxLayout2->addLayout(hboxLayout3);

        hboxLayout4 = new QHBoxLayout();
        hboxLayout4->setSpacing(8);
        hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
        Gen1RingModKnob = new padthv1widget_spin(Gen1GroupBox);
        Gen1RingModKnob->setObjectName(QString::fromUtf8("Gen1RingModKnob"));

        hboxLayout4->addWidget(Gen1RingModKnob);


        vboxLayout2->addLayout(hboxLayout4);


        hboxLayout1->addLayout(vboxLayout2);

        vboxLayout3 = new QVBoxLayout();
        vboxLayout3->setSpacing(8);
        vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
        Gen1Sample2 = new padthv1widget_sample(Gen1GroupBox);
        Gen1Sample2->setObjectName(QString::fromUtf8("Gen1Sample2"));

        vboxLayout3->addWidget(Gen1Sample2);

        hboxLayout5 = new QHBoxLayout();
        hboxLayout5->setSpacing(8);
        hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
        Gen1Sample2Knob = new padthv1widget_combo(Gen1GroupBox);
        Gen1Sample2Knob->setObjectName(QString::fromUtf8("Gen1Sample2Knob"));

        hboxLayout5->addWidget(Gen1Sample2Knob);

        Gen1Width2Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Width2Knob->setObjectName(QString::fromUtf8("Gen1Width2Knob"));

        hboxLayout5->addWidget(Gen1Width2Knob);

        Gen1Scale2Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Scale2Knob->setObjectName(QString::fromUtf8("Gen1Scale2Knob"));

        hboxLayout5->addWidget(Gen1Scale2Knob);

        Gen1Nh2Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Nh2Knob->setObjectName(QString::fromUtf8("Gen1Nh2Knob"));

        hboxLayout5->addWidget(Gen1Nh2Knob);

        Gen1Apod2Knob = new padthv1widget_radio(Gen1GroupBox);
        Gen1Apod2Knob->setObjectName(QString::fromUtf8("Gen1Apod2Knob"));

        hboxLayout5->addWidget(Gen1Apod2Knob);

        Gen1Detune2Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Detune2Knob->setObjectName(QString::fromUtf8("Gen1Detune2Knob"));

        hboxLayout5->addWidget(Gen1Detune2Knob);

        Gen1Glide2Knob = new padthv1widget_spin(Gen1GroupBox);
        Gen1Glide2Knob->setObjectName(QString::fromUtf8("Gen1Glide2Knob"));

        hboxLayout5->addWidget(Gen1Glide2Knob);


        vboxLayout3->addLayout(hboxLayout5);


        hboxLayout1->addLayout(vboxLayout3);

        vboxLayout4 = new QVBoxLayout();
        vboxLayout4->setSpacing(8);
        vboxLayout4->setContentsMargins(8, 8, 8, 8);
        vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
        hboxLayout6 = new QHBoxLayout();
        hboxLayout6->setSpacing(8);
        hboxLayout6->setObjectName(QString::fromUtf8("hboxLayout6"));
        Gen1PhaseKnob = new padthv1widget_spin(Gen1GroupBox);
        Gen1PhaseKnob->setObjectName(QString::fromUtf8("Gen1PhaseKnob"));

        hboxLayout6->addWidget(Gen1PhaseKnob);

        Gen1EnvTimeKnob = new padthv1widget_spin(Gen1GroupBox);
        Gen1EnvTimeKnob->setObjectName(QString::fromUtf8("Gen1EnvTimeKnob"));

        hboxLayout6->addWidget(Gen1EnvTimeKnob);


        vboxLayout4->addLayout(hboxLayout6);

        hboxLayout7 = new QHBoxLayout();
        hboxLayout7->setSpacing(8);
        hboxLayout7->setObjectName(QString::fromUtf8("hboxLayout7"));
        Gen1OctaveKnob = new padthv1widget_spin(Gen1GroupBox);
        Gen1OctaveKnob->setObjectName(QString::fromUtf8("Gen1OctaveKnob"));

        hboxLayout7->addWidget(Gen1OctaveKnob);

        Gen1TuningKnob = new padthv1widget_spin(Gen1GroupBox);
        Gen1TuningKnob->setObjectName(QString::fromUtf8("Gen1TuningKnob"));

        hboxLayout7->addWidget(Gen1TuningKnob);


        vboxLayout4->addLayout(hboxLayout7);


        hboxLayout1->addLayout(vboxLayout4);


        gridLayout->addWidget(Gen1GroupBox, 0, 0, 1, 13);

        Dcf1GroupBox = new padthv1widget_group(Sampler1Page);
        Dcf1GroupBox->setObjectName(QString::fromUtf8("Dcf1GroupBox"));
        Dcf1GroupBox->setCheckable(true);
        vboxLayout5 = new QVBoxLayout(Dcf1GroupBox);
        vboxLayout5->setSpacing(8);
        vboxLayout5->setContentsMargins(8, 8, 8, 8);
        vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));
        hboxLayout8 = new QHBoxLayout();
        hboxLayout8->setSpacing(8);
        hboxLayout8->setObjectName(QString::fromUtf8("hboxLayout8"));
        Dcf1Filt = new padthv1widget_filt(Dcf1GroupBox);
        Dcf1Filt->setObjectName(QString::fromUtf8("Dcf1Filt"));

        hboxLayout8->addWidget(Dcf1Filt);

        Dcf1CutoffKnob = new padthv1widget_spin(Dcf1GroupBox);
        Dcf1CutoffKnob->setObjectName(QString::fromUtf8("Dcf1CutoffKnob"));

        hboxLayout8->addWidget(Dcf1CutoffKnob);

        Dcf1ResoKnob = new padthv1widget_spin(Dcf1GroupBox);
        Dcf1ResoKnob->setObjectName(QString::fromUtf8("Dcf1ResoKnob"));

        hboxLayout8->addWidget(Dcf1ResoKnob);

        Dcf1TypeKnob = new padthv1widget_radio(Dcf1GroupBox);
        Dcf1TypeKnob->setObjectName(QString::fromUtf8("Dcf1TypeKnob"));

        hboxLayout8->addWidget(Dcf1TypeKnob);

        Dcf1SlopeKnob = new padthv1widget_radio(Dcf1GroupBox);
        Dcf1SlopeKnob->setObjectName(QString::fromUtf8("Dcf1SlopeKnob"));

        hboxLayout8->addWidget(Dcf1SlopeKnob);


        vboxLayout5->addLayout(hboxLayout8);

        hboxLayout9 = new QHBoxLayout();
        hboxLayout9->setSpacing(8);
        hboxLayout9->setObjectName(QString::fromUtf8("hboxLayout9"));
        Dcf1EnvelopeKnob = new padthv1widget_spin(Dcf1GroupBox);
        Dcf1EnvelopeKnob->setObjectName(QString::fromUtf8("Dcf1EnvelopeKnob"));

        hboxLayout9->addWidget(Dcf1EnvelopeKnob);

        Dcf1Env = new padthv1widget_env(Dcf1GroupBox);
        Dcf1Env->setObjectName(QString::fromUtf8("Dcf1Env"));

        hboxLayout9->addWidget(Dcf1Env);

        Dcf1AttackKnob = new padthv1widget_spin(Dcf1GroupBox);
        Dcf1AttackKnob->setObjectName(QString::fromUtf8("Dcf1AttackKnob"));

        hboxLayout9->addWidget(Dcf1AttackKnob);

        Dcf1DecayKnob = new padthv1widget_spin(Dcf1GroupBox);
        Dcf1DecayKnob->setObjectName(QString::fromUtf8("Dcf1DecayKnob"));

        hboxLayout9->addWidget(Dcf1DecayKnob);

        Dcf1SustainKnob = new padthv1widget_spin(Dcf1GroupBox);
        Dcf1SustainKnob->setObjectName(QString::fromUtf8("Dcf1SustainKnob"));

        hboxLayout9->addWidget(Dcf1SustainKnob);

        Dcf1ReleaseKnob = new padthv1widget_spin(Dcf1GroupBox);
        Dcf1ReleaseKnob->setObjectName(QString::fromUtf8("Dcf1ReleaseKnob"));

        hboxLayout9->addWidget(Dcf1ReleaseKnob);


        vboxLayout5->addLayout(hboxLayout9);


        gridLayout->addWidget(Dcf1GroupBox, 1, 0, 2, 5);

        Lfo1GroupBox = new padthv1widget_group(Sampler1Page);
        Lfo1GroupBox->setObjectName(QString::fromUtf8("Lfo1GroupBox"));
        Lfo1GroupBox->setCheckable(true);
        vboxLayout6 = new QVBoxLayout(Lfo1GroupBox);
        vboxLayout6->setSpacing(8);
        vboxLayout6->setContentsMargins(8, 8, 8, 8);
        vboxLayout6->setObjectName(QString::fromUtf8("vboxLayout6"));
        hboxLayout10 = new QHBoxLayout();
        hboxLayout10->setSpacing(8);
        hboxLayout10->setObjectName(QString::fromUtf8("hboxLayout10"));
        Lfo1Wave = new padthv1widget_wave(Lfo1GroupBox);
        Lfo1Wave->setObjectName(QString::fromUtf8("Lfo1Wave"));

        hboxLayout10->addWidget(Lfo1Wave);

        Lfo1ShapeKnob = new padthv1widget_radio(Lfo1GroupBox);
        Lfo1ShapeKnob->setObjectName(QString::fromUtf8("Lfo1ShapeKnob"));

        hboxLayout10->addWidget(Lfo1ShapeKnob);

        Lfo1WidthKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1WidthKnob->setObjectName(QString::fromUtf8("Lfo1WidthKnob"));

        hboxLayout10->addWidget(Lfo1WidthKnob);

        Lfo1Env = new padthv1widget_env(Lfo1GroupBox);
        Lfo1Env->setObjectName(QString::fromUtf8("Lfo1Env"));

        hboxLayout10->addWidget(Lfo1Env);

        Lfo1AttackKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1AttackKnob->setObjectName(QString::fromUtf8("Lfo1AttackKnob"));

        hboxLayout10->addWidget(Lfo1AttackKnob);

        Lfo1DecayKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1DecayKnob->setObjectName(QString::fromUtf8("Lfo1DecayKnob"));

        hboxLayout10->addWidget(Lfo1DecayKnob);

        Lfo1SustainKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1SustainKnob->setObjectName(QString::fromUtf8("Lfo1SustainKnob"));

        hboxLayout10->addWidget(Lfo1SustainKnob);

        Lfo1ReleaseKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1ReleaseKnob->setObjectName(QString::fromUtf8("Lfo1ReleaseKnob"));

        hboxLayout10->addWidget(Lfo1ReleaseKnob);


        vboxLayout6->addLayout(hboxLayout10);

        hboxLayout11 = new QHBoxLayout();
        hboxLayout11->setSpacing(8);
        hboxLayout11->setObjectName(QString::fromUtf8("hboxLayout11"));
        Lfo1BpmKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1BpmKnob->setObjectName(QString::fromUtf8("Lfo1BpmKnob"));

        hboxLayout11->addWidget(Lfo1BpmKnob);

        Lfo1RateKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1RateKnob->setObjectName(QString::fromUtf8("Lfo1RateKnob"));

        hboxLayout11->addWidget(Lfo1RateKnob);

        Lfo1SyncKnob = new padthv1widget_check(Lfo1GroupBox);
        Lfo1SyncKnob->setObjectName(QString::fromUtf8("Lfo1SyncKnob"));

        hboxLayout11->addWidget(Lfo1SyncKnob);

        spacerItem1 = new QSpacerItem(8, 8, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout11->addItem(spacerItem1);

        Lfo1SweepKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1SweepKnob->setObjectName(QString::fromUtf8("Lfo1SweepKnob"));

        hboxLayout11->addWidget(Lfo1SweepKnob);

        Lfo1PitchKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1PitchKnob->setObjectName(QString::fromUtf8("Lfo1PitchKnob"));

        hboxLayout11->addWidget(Lfo1PitchKnob);

        spacerItem2 = new QSpacerItem(8, 8, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout11->addItem(spacerItem2);

        Lfo1BalanceKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1BalanceKnob->setObjectName(QString::fromUtf8("Lfo1BalanceKnob"));

        hboxLayout11->addWidget(Lfo1BalanceKnob);

        Lfo1RingModKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1RingModKnob->setObjectName(QString::fromUtf8("Lfo1RingModKnob"));

        hboxLayout11->addWidget(Lfo1RingModKnob);

        spacerItem3 = new QSpacerItem(8, 8, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout11->addItem(spacerItem3);

        Lfo1CutoffKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1CutoffKnob->setObjectName(QString::fromUtf8("Lfo1CutoffKnob"));

        hboxLayout11->addWidget(Lfo1CutoffKnob);

        Lfo1ResoKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1ResoKnob->setObjectName(QString::fromUtf8("Lfo1ResoKnob"));

        hboxLayout11->addWidget(Lfo1ResoKnob);

        spacerItem4 = new QSpacerItem(8, 8, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout11->addItem(spacerItem4);

        Lfo1PanningKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1PanningKnob->setObjectName(QString::fromUtf8("Lfo1PanningKnob"));

        hboxLayout11->addWidget(Lfo1PanningKnob);

        Lfo1VolumeKnob = new padthv1widget_spin(Lfo1GroupBox);
        Lfo1VolumeKnob->setObjectName(QString::fromUtf8("Lfo1VolumeKnob"));

        hboxLayout11->addWidget(Lfo1VolumeKnob);


        vboxLayout6->addLayout(hboxLayout11);


        gridLayout->addWidget(Lfo1GroupBox, 1, 5, 2, 8);

        Dca1GroupBox = new QGroupBox(Sampler1Page);
        Dca1GroupBox->setObjectName(QString::fromUtf8("Dca1GroupBox"));
        hboxLayout12 = new QHBoxLayout(Dca1GroupBox);
        hboxLayout12->setSpacing(8);
        hboxLayout12->setContentsMargins(8, 8, 8, 8);
        hboxLayout12->setObjectName(QString::fromUtf8("hboxLayout12"));
        Dca1VolumeKnob = new padthv1widget_spin(Dca1GroupBox);
        Dca1VolumeKnob->setObjectName(QString::fromUtf8("Dca1VolumeKnob"));

        hboxLayout12->addWidget(Dca1VolumeKnob);

        Dca1Env = new padthv1widget_env(Dca1GroupBox);
        Dca1Env->setObjectName(QString::fromUtf8("Dca1Env"));

        hboxLayout12->addWidget(Dca1Env);

        Dca1AttackKnob = new padthv1widget_spin(Dca1GroupBox);
        Dca1AttackKnob->setObjectName(QString::fromUtf8("Dca1AttackKnob"));

        hboxLayout12->addWidget(Dca1AttackKnob);

        Dca1DecayKnob = new padthv1widget_spin(Dca1GroupBox);
        Dca1DecayKnob->setObjectName(QString::fromUtf8("Dca1DecayKnob"));

        hboxLayout12->addWidget(Dca1DecayKnob);

        Dca1SustainKnob = new padthv1widget_spin(Dca1GroupBox);
        Dca1SustainKnob->setObjectName(QString::fromUtf8("Dca1SustainKnob"));

        hboxLayout12->addWidget(Dca1SustainKnob);

        Dca1ReleaseKnob = new padthv1widget_spin(Dca1GroupBox);
        Dca1ReleaseKnob->setObjectName(QString::fromUtf8("Dca1ReleaseKnob"));

        hboxLayout12->addWidget(Dca1ReleaseKnob);


        gridLayout->addWidget(Dca1GroupBox, 3, 0, 1, 5);

        Def1GroupBox = new QGroupBox(Sampler1Page);
        Def1GroupBox->setObjectName(QString::fromUtf8("Def1GroupBox"));
        hboxLayout13 = new QHBoxLayout(Def1GroupBox);
        hboxLayout13->setSpacing(8);
        hboxLayout13->setContentsMargins(8, 8, 8, 8);
        hboxLayout13->setObjectName(QString::fromUtf8("hboxLayout13"));
        Def1PitchbendKnob = new padthv1widget_spin(Def1GroupBox);
        Def1PitchbendKnob->setObjectName(QString::fromUtf8("Def1PitchbendKnob"));

        hboxLayout13->addWidget(Def1PitchbendKnob);

        Def1ModwheelKnob = new padthv1widget_spin(Def1GroupBox);
        Def1ModwheelKnob->setObjectName(QString::fromUtf8("Def1ModwheelKnob"));

        hboxLayout13->addWidget(Def1ModwheelKnob);

        Def1PressureKnob = new padthv1widget_spin(Def1GroupBox);
        Def1PressureKnob->setObjectName(QString::fromUtf8("Def1PressureKnob"));

        hboxLayout13->addWidget(Def1PressureKnob);

        Def1VelocityKnob = new padthv1widget_spin(Def1GroupBox);
        Def1VelocityKnob->setObjectName(QString::fromUtf8("Def1VelocityKnob"));

        hboxLayout13->addWidget(Def1VelocityKnob);

        Def1ChannelKnob = new padthv1widget_combo(Def1GroupBox);
        Def1ChannelKnob->setObjectName(QString::fromUtf8("Def1ChannelKnob"));

        hboxLayout13->addWidget(Def1ChannelKnob);

        Def1MonoKnob = new padthv1widget_radio(Def1GroupBox);
        Def1MonoKnob->setObjectName(QString::fromUtf8("Def1MonoKnob"));

        hboxLayout13->addWidget(Def1MonoKnob);


        gridLayout->addWidget(Def1GroupBox, 3, 5, 1, 5);

        Out1GroupBox = new QGroupBox(Sampler1Page);
        Out1GroupBox->setObjectName(QString::fromUtf8("Out1GroupBox"));
        hboxLayout14 = new QHBoxLayout(Out1GroupBox);
        hboxLayout14->setSpacing(8);
        hboxLayout14->setContentsMargins(8, 8, 8, 8);
        hboxLayout14->setObjectName(QString::fromUtf8("hboxLayout14"));
        Out1WidthKnob = new padthv1widget_spin(Out1GroupBox);
        Out1WidthKnob->setObjectName(QString::fromUtf8("Out1WidthKnob"));

        hboxLayout14->addWidget(Out1WidthKnob);

        Out1PanningKnob = new padthv1widget_spin(Out1GroupBox);
        Out1PanningKnob->setObjectName(QString::fromUtf8("Out1PanningKnob"));

        hboxLayout14->addWidget(Out1PanningKnob);

        spacerItem5 = new QSpacerItem(8, 8, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout14->addItem(spacerItem5);

        Out1FxSendKnob = new padthv1widget_spin(Out1GroupBox);
        Out1FxSendKnob->setObjectName(QString::fromUtf8("Out1FxSendKnob"));

        hboxLayout14->addWidget(Out1FxSendKnob);

        spacerItem6 = new QSpacerItem(8, 8, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout14->addItem(spacerItem6);

        Out1VolumeKnob = new padthv1widget_spin(Out1GroupBox);
        Out1VolumeKnob->setObjectName(QString::fromUtf8("Out1VolumeKnob"));

        hboxLayout14->addWidget(Out1VolumeKnob);


        gridLayout->addWidget(Out1GroupBox, 3, 10, 1, 3);

        StackedWidget->addWidget(Sampler1Page);
        EffectsPage = new QWidget();
        EffectsPage->setObjectName(QString::fromUtf8("EffectsPage"));
        gridLayout1 = new QGridLayout(EffectsPage);
        gridLayout1->setSpacing(8);
        gridLayout1->setContentsMargins(8, 8, 8, 8);
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        spacerItem7 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(spacerItem7, 0, 0, 2, 1);

        Cho1GroupBox = new QGroupBox(EffectsPage);
        Cho1GroupBox->setObjectName(QString::fromUtf8("Cho1GroupBox"));
        hboxLayout15 = new QHBoxLayout(Cho1GroupBox);
        hboxLayout15->setSpacing(8);
        hboxLayout15->setContentsMargins(8, 8, 8, 8);
        hboxLayout15->setObjectName(QString::fromUtf8("hboxLayout15"));
        Cho1WetKnob = new padthv1widget_spin(Cho1GroupBox);
        Cho1WetKnob->setObjectName(QString::fromUtf8("Cho1WetKnob"));

        hboxLayout15->addWidget(Cho1WetKnob);

        spacerItem8 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout15->addItem(spacerItem8);

        Cho1DelayKnob = new padthv1widget_spin(Cho1GroupBox);
        Cho1DelayKnob->setObjectName(QString::fromUtf8("Cho1DelayKnob"));

        hboxLayout15->addWidget(Cho1DelayKnob);

        Cho1FeedbKnob = new padthv1widget_spin(Cho1GroupBox);
        Cho1FeedbKnob->setObjectName(QString::fromUtf8("Cho1FeedbKnob"));

        hboxLayout15->addWidget(Cho1FeedbKnob);

        Cho1RateKnob = new padthv1widget_spin(Cho1GroupBox);
        Cho1RateKnob->setObjectName(QString::fromUtf8("Cho1RateKnob"));

        hboxLayout15->addWidget(Cho1RateKnob);

        Cho1ModKnob = new padthv1widget_spin(Cho1GroupBox);
        Cho1ModKnob->setObjectName(QString::fromUtf8("Cho1ModKnob"));

        hboxLayout15->addWidget(Cho1ModKnob);


        gridLayout1->addWidget(Cho1GroupBox, 0, 1, 1, 5);

        Fla1GroupBox = new QGroupBox(EffectsPage);
        Fla1GroupBox->setObjectName(QString::fromUtf8("Fla1GroupBox"));
        hboxLayout16 = new QHBoxLayout(Fla1GroupBox);
        hboxLayout16->setSpacing(8);
        hboxLayout16->setContentsMargins(8, 8, 8, 8);
        hboxLayout16->setObjectName(QString::fromUtf8("hboxLayout16"));
        Fla1WetKnob = new padthv1widget_spin(Fla1GroupBox);
        Fla1WetKnob->setObjectName(QString::fromUtf8("Fla1WetKnob"));

        hboxLayout16->addWidget(Fla1WetKnob);

        spacerItem9 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout16->addItem(spacerItem9);

        Fla1DelayKnob = new padthv1widget_spin(Fla1GroupBox);
        Fla1DelayKnob->setObjectName(QString::fromUtf8("Fla1DelayKnob"));

        hboxLayout16->addWidget(Fla1DelayKnob);

        Fla1FeedbKnob = new padthv1widget_spin(Fla1GroupBox);
        Fla1FeedbKnob->setObjectName(QString::fromUtf8("Fla1FeedbKnob"));

        hboxLayout16->addWidget(Fla1FeedbKnob);

        Fla1DaftKnob = new padthv1widget_spin(Fla1GroupBox);
        Fla1DaftKnob->setObjectName(QString::fromUtf8("Fla1DaftKnob"));

        hboxLayout16->addWidget(Fla1DaftKnob);


        gridLayout1->addWidget(Fla1GroupBox, 0, 6, 1, 4);

        Pha1GroupBox = new QGroupBox(EffectsPage);
        Pha1GroupBox->setObjectName(QString::fromUtf8("Pha1GroupBox"));
        hboxLayout17 = new QHBoxLayout(Pha1GroupBox);
        hboxLayout17->setSpacing(8);
        hboxLayout17->setContentsMargins(8, 8, 8, 8);
        hboxLayout17->setObjectName(QString::fromUtf8("hboxLayout17"));
        Pha1WetKnob = new padthv1widget_spin(Pha1GroupBox);
        Pha1WetKnob->setObjectName(QString::fromUtf8("Pha1WetKnob"));

        hboxLayout17->addWidget(Pha1WetKnob);

        spacerItem10 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout17->addItem(spacerItem10);

        Pha1RateKnob = new padthv1widget_spin(Pha1GroupBox);
        Pha1RateKnob->setObjectName(QString::fromUtf8("Pha1RateKnob"));

        hboxLayout17->addWidget(Pha1RateKnob);

        Pha1FeedbKnob = new padthv1widget_spin(Pha1GroupBox);
        Pha1FeedbKnob->setObjectName(QString::fromUtf8("Pha1FeedbKnob"));

        hboxLayout17->addWidget(Pha1FeedbKnob);

        Pha1DepthKnob = new padthv1widget_spin(Pha1GroupBox);
        Pha1DepthKnob->setObjectName(QString::fromUtf8("Pha1DepthKnob"));

        hboxLayout17->addWidget(Pha1DepthKnob);

        Pha1DaftKnob = new padthv1widget_spin(Pha1GroupBox);
        Pha1DaftKnob->setObjectName(QString::fromUtf8("Pha1DaftKnob"));

        hboxLayout17->addWidget(Pha1DaftKnob);


        gridLayout1->addWidget(Pha1GroupBox, 1, 1, 1, 5);

        Del1GroupBox = new QGroupBox(EffectsPage);
        Del1GroupBox->setObjectName(QString::fromUtf8("Del1GroupBox"));
        hboxLayout18 = new QHBoxLayout(Del1GroupBox);
        hboxLayout18->setSpacing(8);
        hboxLayout18->setContentsMargins(8, 8, 8, 8);
        hboxLayout18->setObjectName(QString::fromUtf8("hboxLayout18"));
        Del1WetKnob = new padthv1widget_spin(Del1GroupBox);
        Del1WetKnob->setObjectName(QString::fromUtf8("Del1WetKnob"));

        hboxLayout18->addWidget(Del1WetKnob);

        spacerItem11 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout18->addItem(spacerItem11);

        Del1DelayKnob = new padthv1widget_spin(Del1GroupBox);
        Del1DelayKnob->setObjectName(QString::fromUtf8("Del1DelayKnob"));

        hboxLayout18->addWidget(Del1DelayKnob);

        Del1FeedbKnob = new padthv1widget_spin(Del1GroupBox);
        Del1FeedbKnob->setObjectName(QString::fromUtf8("Del1FeedbKnob"));

        hboxLayout18->addWidget(Del1FeedbKnob);

        Del1BpmKnob = new padthv1widget_spin(Del1GroupBox);
        Del1BpmKnob->setObjectName(QString::fromUtf8("Del1BpmKnob"));

        hboxLayout18->addWidget(Del1BpmKnob);


        gridLayout1->addWidget(Del1GroupBox, 1, 6, 1, 4);

        spacerItem12 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(spacerItem12, 0, 11, 2, 1);

        Rev1GroupBox = new QGroupBox(EffectsPage);
        Rev1GroupBox->setObjectName(QString::fromUtf8("Rev1GroupBox"));
        hboxLayout19 = new QHBoxLayout(Rev1GroupBox);
        hboxLayout19->setSpacing(8);
        hboxLayout19->setContentsMargins(8, 8, 8, 8);
        hboxLayout19->setObjectName(QString::fromUtf8("hboxLayout19"));
        Rev1WetKnob = new padthv1widget_spin(Rev1GroupBox);
        Rev1WetKnob->setObjectName(QString::fromUtf8("Rev1WetKnob"));

        hboxLayout19->addWidget(Rev1WetKnob);

        spacerItem13 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout19->addItem(spacerItem13);

        Rev1RoomKnob = new padthv1widget_spin(Rev1GroupBox);
        Rev1RoomKnob->setObjectName(QString::fromUtf8("Rev1RoomKnob"));

        hboxLayout19->addWidget(Rev1RoomKnob);

        Rev1DampKnob = new padthv1widget_spin(Rev1GroupBox);
        Rev1DampKnob->setObjectName(QString::fromUtf8("Rev1DampKnob"));

        hboxLayout19->addWidget(Rev1DampKnob);

        Rev1FeedbKnob = new padthv1widget_spin(Rev1GroupBox);
        Rev1FeedbKnob->setObjectName(QString::fromUtf8("Rev1FeedbKnob"));

        hboxLayout19->addWidget(Rev1FeedbKnob);

        Rev1WidthKnob = new padthv1widget_spin(Rev1GroupBox);
        Rev1WidthKnob->setObjectName(QString::fromUtf8("Rev1WidthKnob"));

        hboxLayout19->addWidget(Rev1WidthKnob);


        gridLayout1->addWidget(Rev1GroupBox, 2, 1, 1, 5);

        Dyn1GroupBox = new QGroupBox(EffectsPage);
        Dyn1GroupBox->setObjectName(QString::fromUtf8("Dyn1GroupBox"));
        hboxLayout20 = new QHBoxLayout(Dyn1GroupBox);
        hboxLayout20->setSpacing(8);
        hboxLayout20->setContentsMargins(8, 8, 8, 8);
        hboxLayout20->setObjectName(QString::fromUtf8("hboxLayout20"));
        Dyn1CompressKnob = new padthv1widget_check(Dyn1GroupBox);
        Dyn1CompressKnob->setObjectName(QString::fromUtf8("Dyn1CompressKnob"));

        hboxLayout20->addWidget(Dyn1CompressKnob);

        Dyn1LimiterKnob = new padthv1widget_check(Dyn1GroupBox);
        Dyn1LimiterKnob->setObjectName(QString::fromUtf8("Dyn1LimiterKnob"));

        hboxLayout20->addWidget(Dyn1LimiterKnob);


        gridLayout1->addWidget(Dyn1GroupBox, 2, 6, 1, 4);

        spacerItem14 = new QSpacerItem(8, 8, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout1->addItem(spacerItem14, 3, 0, 1, 12);

        StackedWidget->addWidget(EffectsPage);

        vboxLayout->addWidget(StackedWidget);

        StatusBar = new padthv1widget_status(padthv1widget);
        StatusBar->setObjectName(QString::fromUtf8("StatusBar"));

        vboxLayout->addWidget(StatusBar);


        MenuBar->addAction(helpMenu->menuAction());
        helpMenu->addAction(helpConfigureAction);
        helpMenu->addSeparator();
        helpMenu->addAction(helpAboutAction);
        helpMenu->addAction(helpAboutQtAction);

        retranslateUi(padthv1widget);

        StackedWidget->setCurrentIndex(0);


        QMetaObject::connectSlotsByName(padthv1widget);
    } // setupUi

    void retranslateUi(QWidget *padthv1widget)
    {
        helpConfigureAction->setText(QCoreApplication::translate("padthv1widget", "&Configure...", nullptr));
        helpConfigureAction->setIconText(QCoreApplication::translate("padthv1widget", "Configure", nullptr));
#if QT_CONFIG(statustip)
        helpConfigureAction->setStatusTip(QCoreApplication::translate("padthv1widget", "Configure options", nullptr));
#endif // QT_CONFIG(statustip)
        helpAboutAction->setText(QCoreApplication::translate("padthv1widget", "&About...", nullptr));
        helpAboutAction->setIconText(QCoreApplication::translate("padthv1widget", "About", nullptr));
#if QT_CONFIG(statustip)
        helpAboutAction->setStatusTip(QCoreApplication::translate("padthv1widget", "Show information about this application program", nullptr));
#endif // QT_CONFIG(statustip)
        helpAboutQtAction->setText(QCoreApplication::translate("padthv1widget", "About &Qt...", nullptr));
        helpAboutQtAction->setIconText(QCoreApplication::translate("padthv1widget", "About Qt", nullptr));
#if QT_CONFIG(statustip)
        helpAboutQtAction->setStatusTip(QCoreApplication::translate("padthv1widget", "Show information about the Qt toolkit", nullptr));
#endif // QT_CONFIG(statustip)
#if QT_CONFIG(tooltip)
        RandomParamsButton->setToolTip(QCoreApplication::translate("padthv1widget", "Randomize", nullptr));
#endif // QT_CONFIG(tooltip)
        RandomParamsButton->setText(QCoreApplication::translate("padthv1widget", "Random", nullptr));
#if QT_CONFIG(tooltip)
        SwapParamsAButton->setToolTip(QCoreApplication::translate("padthv1widget", "Swap A", nullptr));
#endif // QT_CONFIG(tooltip)
        SwapParamsAButton->setText(QCoreApplication::translate("padthv1widget", "A", nullptr));
#if QT_CONFIG(tooltip)
        SwapParamsBButton->setToolTip(QCoreApplication::translate("padthv1widget", "Swap B", nullptr));
#endif // QT_CONFIG(tooltip)
        SwapParamsBButton->setText(QCoreApplication::translate("padthv1widget", "B", nullptr));
#if QT_CONFIG(tooltip)
        PanicButton->setToolTip(QCoreApplication::translate("padthv1widget", "Panic", nullptr));
#endif // QT_CONFIG(tooltip)
        PanicButton->setText(QCoreApplication::translate("padthv1widget", "Panic", nullptr));
        helpMenu->setTitle(QCoreApplication::translate("padthv1widget", "&Help", nullptr));
        Sampler1Page->setWindowTitle(QCoreApplication::translate("padthv1widget", "PADsynth", nullptr));
        Gen1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "GEN", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Sample1->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Sample 1", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        Gen1Sample1Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Sample 1", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Sample1Knob->setText(QCoreApplication::translate("padthv1widget", "Sample 1", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Width1Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Width 1", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Width1Knob->setText(QCoreApplication::translate("padthv1widget", "Width 1", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Scale1Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Scale 1", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Scale1Knob->setText(QCoreApplication::translate("padthv1widget", "Scale 1", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Nh1Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Nh 1", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Nh1Knob->setText(QCoreApplication::translate("padthv1widget", "Nh 1", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Apod1Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Apodizer 1", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Apod1Knob->setText(QCoreApplication::translate("padthv1widget", "Apodizer 1", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Detune1Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Detune 1", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Detune1Knob->setText(QCoreApplication::translate("padthv1widget", "Detune 1", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Glide1Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Glide 1", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Glide1Knob->setText(QCoreApplication::translate("padthv1widget", "Glide 1", nullptr));
#if QT_CONFIG(tooltip)
        Gen1BalanceKnob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Balance", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1BalanceKnob->setText(QCoreApplication::translate("padthv1widget", "Balance", nullptr));
#if QT_CONFIG(tooltip)
        Gen1RingModKnob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Ring Mod", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1RingModKnob->setText(QCoreApplication::translate("padthv1widget", "Ring Mod", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Sample2->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Sample 2", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        Gen1Sample2Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Sample 2", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Sample2Knob->setText(QCoreApplication::translate("padthv1widget", "Sample 2", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Width2Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Width 2", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Width2Knob->setText(QCoreApplication::translate("padthv1widget", "Width 2", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Scale2Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Scale 2", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Scale2Knob->setText(QCoreApplication::translate("padthv1widget", "Scale 2", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Nh2Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Nh 2", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Nh2Knob->setText(QCoreApplication::translate("padthv1widget", "Nh 2", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Apod2Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Apodizer 2", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Apod2Knob->setText(QCoreApplication::translate("padthv1widget", "Apodizer 2", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Detune2Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Detune 2", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Detune2Knob->setText(QCoreApplication::translate("padthv1widget", "Detune 2", nullptr));
#if QT_CONFIG(tooltip)
        Gen1Glide2Knob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Glide 2", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1Glide2Knob->setText(QCoreApplication::translate("padthv1widget", "Glide 2", nullptr));
#if QT_CONFIG(tooltip)
        Gen1PhaseKnob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Phase", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1PhaseKnob->setText(QCoreApplication::translate("padthv1widget", "Phase", nullptr));
#if QT_CONFIG(tooltip)
        Gen1EnvTimeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Env.Time", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1EnvTimeKnob->setText(QCoreApplication::translate("padthv1widget", "Env.Time", nullptr));
#if QT_CONFIG(tooltip)
        Gen1OctaveKnob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Octave", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1OctaveKnob->setText(QCoreApplication::translate("padthv1widget", "Octave", nullptr));
#if QT_CONFIG(tooltip)
        Gen1TuningKnob->setToolTip(QCoreApplication::translate("padthv1widget", "GEN Tuning", nullptr));
#endif // QT_CONFIG(tooltip)
        Gen1TuningKnob->setText(QCoreApplication::translate("padthv1widget", "Tuning", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1GroupBox->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Enabled", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "DCF", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1Filt->setToolTip(QCoreApplication::translate("padthv1widget", "DCF", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        Dcf1CutoffKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Cutoff", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1CutoffKnob->setText(QCoreApplication::translate("padthv1widget", "Cutoff", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1ResoKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Resonance", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1ResoKnob->setText(QCoreApplication::translate("padthv1widget", "Reso", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1TypeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Type", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1TypeKnob->setText(QCoreApplication::translate("padthv1widget", "Type", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1SlopeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Slope", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1SlopeKnob->setText(QCoreApplication::translate("padthv1widget", "Slope", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1EnvelopeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Envelope", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1EnvelopeKnob->setText(QCoreApplication::translate("padthv1widget", "Envelope", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1Env->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Envelope", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        Dcf1AttackKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Attack", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1AttackKnob->setText(QCoreApplication::translate("padthv1widget", "Attack", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1DecayKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Decay", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1DecayKnob->setText(QCoreApplication::translate("padthv1widget", "Decay", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1SustainKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Sustain", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1SustainKnob->setText(QCoreApplication::translate("padthv1widget", "Sustain", nullptr));
#if QT_CONFIG(tooltip)
        Dcf1ReleaseKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCF Release", nullptr));
#endif // QT_CONFIG(tooltip)
        Dcf1ReleaseKnob->setText(QCoreApplication::translate("padthv1widget", "Release", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1GroupBox->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Enabled", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "LFO", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1Wave->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Wave", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        Lfo1ShapeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Wave Shape", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1ShapeKnob->setText(QCoreApplication::translate("padthv1widget", "Shape", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1WidthKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Wave Width", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1WidthKnob->setText(QCoreApplication::translate("padthv1widget", "Width", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1Env->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Envelope", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        Lfo1AttackKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Attack", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1AttackKnob->setText(QCoreApplication::translate("padthv1widget", "Attack", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1DecayKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Decay", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1DecayKnob->setText(QCoreApplication::translate("padthv1widget", "Decay", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1SustainKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Sustain", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1SustainKnob->setText(QCoreApplication::translate("padthv1widget", "Sustain", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1ReleaseKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Release", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1ReleaseKnob->setText(QCoreApplication::translate("padthv1widget", "Release", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1BpmKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO BPM", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1BpmKnob->setText(QCoreApplication::translate("padthv1widget", "BPM", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1RateKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Rate", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1RateKnob->setText(QCoreApplication::translate("padthv1widget", "Rate", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1SyncKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Sync", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1SyncKnob->setText(QCoreApplication::translate("padthv1widget", "Sync", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1SweepKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Sweep", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1SweepKnob->setText(QCoreApplication::translate("padthv1widget", "Sweep", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1PitchKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Pitch", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1PitchKnob->setText(QCoreApplication::translate("padthv1widget", "Pitch", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1BalanceKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Balance", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1BalanceKnob->setText(QCoreApplication::translate("padthv1widget", "Balance", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1RingModKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Ring Mod", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1RingModKnob->setText(QCoreApplication::translate("padthv1widget", "Ring Mod", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1CutoffKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Cutoff", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1CutoffKnob->setText(QCoreApplication::translate("padthv1widget", "Cutoff", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1ResoKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Resonance", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1ResoKnob->setText(QCoreApplication::translate("padthv1widget", "Reso", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1PanningKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Panning", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1PanningKnob->setText(QCoreApplication::translate("padthv1widget", "Panning", nullptr));
#if QT_CONFIG(tooltip)
        Lfo1VolumeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "LFO Volume", nullptr));
#endif // QT_CONFIG(tooltip)
        Lfo1VolumeKnob->setText(QCoreApplication::translate("padthv1widget", "Volume", nullptr));
        Dca1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "DCA", nullptr));
#if QT_CONFIG(tooltip)
        Dca1VolumeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCA Volume", nullptr));
#endif // QT_CONFIG(tooltip)
        Dca1VolumeKnob->setText(QCoreApplication::translate("padthv1widget", "Volume", nullptr));
#if QT_CONFIG(tooltip)
        Dca1Env->setToolTip(QCoreApplication::translate("padthv1widget", "DCA Envelope", nullptr));
#endif // QT_CONFIG(tooltip)
#if QT_CONFIG(tooltip)
        Dca1AttackKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCA Attack", nullptr));
#endif // QT_CONFIG(tooltip)
        Dca1AttackKnob->setText(QCoreApplication::translate("padthv1widget", "Attack", nullptr));
#if QT_CONFIG(tooltip)
        Dca1DecayKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCA Decay", nullptr));
#endif // QT_CONFIG(tooltip)
        Dca1DecayKnob->setText(QCoreApplication::translate("padthv1widget", "Decay", nullptr));
#if QT_CONFIG(tooltip)
        Dca1SustainKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCA Sustain", nullptr));
#endif // QT_CONFIG(tooltip)
        Dca1SustainKnob->setText(QCoreApplication::translate("padthv1widget", "Sustain", nullptr));
#if QT_CONFIG(tooltip)
        Dca1ReleaseKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DCA Release", nullptr));
#endif // QT_CONFIG(tooltip)
        Dca1ReleaseKnob->setText(QCoreApplication::translate("padthv1widget", "Release", nullptr));
        Def1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "DEF", nullptr));
#if QT_CONFIG(tooltip)
        Def1PitchbendKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DEF Pitchbend", nullptr));
#endif // QT_CONFIG(tooltip)
        Def1PitchbendKnob->setText(QCoreApplication::translate("padthv1widget", "Pitchbend", nullptr));
#if QT_CONFIG(tooltip)
        Def1ModwheelKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DEF Modwheel", nullptr));
#endif // QT_CONFIG(tooltip)
        Def1ModwheelKnob->setText(QCoreApplication::translate("padthv1widget", "Modwheel", nullptr));
#if QT_CONFIG(tooltip)
        Def1PressureKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DEF Pressure", nullptr));
#endif // QT_CONFIG(tooltip)
        Def1PressureKnob->setText(QCoreApplication::translate("padthv1widget", "Pressure", nullptr));
#if QT_CONFIG(tooltip)
        Def1VelocityKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DEF Velocity", nullptr));
#endif // QT_CONFIG(tooltip)
        Def1VelocityKnob->setText(QCoreApplication::translate("padthv1widget", "Velocity", nullptr));
#if QT_CONFIG(tooltip)
        Def1ChannelKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DEF Channel", nullptr));
#endif // QT_CONFIG(tooltip)
        Def1ChannelKnob->setText(QCoreApplication::translate("padthv1widget", "Channel", nullptr));
#if QT_CONFIG(tooltip)
        Def1MonoKnob->setToolTip(QCoreApplication::translate("padthv1widget", "DEF Mono", nullptr));
#endif // QT_CONFIG(tooltip)
        Def1MonoKnob->setText(QCoreApplication::translate("padthv1widget", "Mono", nullptr));
        Out1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "OUT", nullptr));
#if QT_CONFIG(tooltip)
        Out1WidthKnob->setToolTip(QCoreApplication::translate("padthv1widget", "OUT Stereo Width", nullptr));
#endif // QT_CONFIG(tooltip)
        Out1WidthKnob->setText(QCoreApplication::translate("padthv1widget", "Width", nullptr));
#if QT_CONFIG(tooltip)
        Out1PanningKnob->setToolTip(QCoreApplication::translate("padthv1widget", "OUT Panning", nullptr));
#endif // QT_CONFIG(tooltip)
        Out1PanningKnob->setText(QCoreApplication::translate("padthv1widget", "Panning", nullptr));
#if QT_CONFIG(tooltip)
        Out1FxSendKnob->setToolTip(QCoreApplication::translate("padthv1widget", "OUT FX Send", nullptr));
#endif // QT_CONFIG(tooltip)
        Out1FxSendKnob->setText(QCoreApplication::translate("padthv1widget", "Effects", nullptr));
#if QT_CONFIG(tooltip)
        Out1VolumeKnob->setToolTip(QCoreApplication::translate("padthv1widget", "OUT Volume", nullptr));
#endif // QT_CONFIG(tooltip)
        Out1VolumeKnob->setText(QCoreApplication::translate("padthv1widget", "Volume", nullptr));
        EffectsPage->setWindowTitle(QCoreApplication::translate("padthv1widget", "Effects", nullptr));
        Cho1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "Chorus", nullptr));
#if QT_CONFIG(tooltip)
        Cho1WetKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Chorus Wet", nullptr));
#endif // QT_CONFIG(tooltip)
        Cho1WetKnob->setText(QCoreApplication::translate("padthv1widget", "Wet", nullptr));
#if QT_CONFIG(tooltip)
        Cho1DelayKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Chorus Delay", nullptr));
#endif // QT_CONFIG(tooltip)
        Cho1DelayKnob->setText(QCoreApplication::translate("padthv1widget", "Delay", nullptr));
#if QT_CONFIG(tooltip)
        Cho1FeedbKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Chorus Feedback", nullptr));
#endif // QT_CONFIG(tooltip)
        Cho1FeedbKnob->setText(QCoreApplication::translate("padthv1widget", "Feedback", nullptr));
#if QT_CONFIG(tooltip)
        Cho1RateKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Chorus Rate", nullptr));
#endif // QT_CONFIG(tooltip)
        Cho1RateKnob->setText(QCoreApplication::translate("padthv1widget", "Rate", nullptr));
#if QT_CONFIG(tooltip)
        Cho1ModKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Chorus Modulation", nullptr));
#endif // QT_CONFIG(tooltip)
        Cho1ModKnob->setText(QCoreApplication::translate("padthv1widget", "Modulation", nullptr));
        Fla1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "Flanger", nullptr));
#if QT_CONFIG(tooltip)
        Fla1WetKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Flanger Wet", nullptr));
#endif // QT_CONFIG(tooltip)
        Fla1WetKnob->setText(QCoreApplication::translate("padthv1widget", "Wet", nullptr));
#if QT_CONFIG(tooltip)
        Fla1DelayKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Flanger Delay", nullptr));
#endif // QT_CONFIG(tooltip)
        Fla1DelayKnob->setText(QCoreApplication::translate("padthv1widget", "Delay", nullptr));
#if QT_CONFIG(tooltip)
        Fla1FeedbKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Flanger Feedback", nullptr));
#endif // QT_CONFIG(tooltip)
        Fla1FeedbKnob->setText(QCoreApplication::translate("padthv1widget", "Feedback", nullptr));
#if QT_CONFIG(tooltip)
        Fla1DaftKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Flanger Daft", nullptr));
#endif // QT_CONFIG(tooltip)
        Fla1DaftKnob->setText(QCoreApplication::translate("padthv1widget", "Daft", nullptr));
        Pha1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "Phaser", nullptr));
#if QT_CONFIG(tooltip)
        Pha1WetKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Phaser Wet", nullptr));
#endif // QT_CONFIG(tooltip)
        Pha1WetKnob->setText(QCoreApplication::translate("padthv1widget", "Wet", nullptr));
#if QT_CONFIG(tooltip)
        Pha1RateKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Phaser Rate", nullptr));
#endif // QT_CONFIG(tooltip)
        Pha1RateKnob->setText(QCoreApplication::translate("padthv1widget", "Rate", nullptr));
#if QT_CONFIG(tooltip)
        Pha1FeedbKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Phaser Feedback", nullptr));
#endif // QT_CONFIG(tooltip)
        Pha1FeedbKnob->setText(QCoreApplication::translate("padthv1widget", "Feedback", nullptr));
#if QT_CONFIG(tooltip)
        Pha1DepthKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Phaser Depth", nullptr));
#endif // QT_CONFIG(tooltip)
        Pha1DepthKnob->setText(QCoreApplication::translate("padthv1widget", "Depth", nullptr));
#if QT_CONFIG(tooltip)
        Pha1DaftKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Phaser Daft", nullptr));
#endif // QT_CONFIG(tooltip)
        Pha1DaftKnob->setText(QCoreApplication::translate("padthv1widget", "Daft", nullptr));
        Del1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "Delay", nullptr));
#if QT_CONFIG(tooltip)
        Del1WetKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Delay Wet", nullptr));
#endif // QT_CONFIG(tooltip)
        Del1WetKnob->setText(QCoreApplication::translate("padthv1widget", "Wet", nullptr));
#if QT_CONFIG(tooltip)
        Del1DelayKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Delay Delay", nullptr));
#endif // QT_CONFIG(tooltip)
        Del1DelayKnob->setText(QCoreApplication::translate("padthv1widget", "Delay", nullptr));
#if QT_CONFIG(tooltip)
        Del1FeedbKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Delay Feedback", nullptr));
#endif // QT_CONFIG(tooltip)
        Del1FeedbKnob->setText(QCoreApplication::translate("padthv1widget", "Feedback", nullptr));
#if QT_CONFIG(tooltip)
        Del1BpmKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Delay BPM", nullptr));
#endif // QT_CONFIG(tooltip)
        Del1BpmKnob->setText(QCoreApplication::translate("padthv1widget", "BPM", nullptr));
        Rev1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "Reverb", nullptr));
#if QT_CONFIG(tooltip)
        Rev1WetKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Reverb Wet", nullptr));
#endif // QT_CONFIG(tooltip)
        Rev1WetKnob->setText(QCoreApplication::translate("padthv1widget", "Wet", nullptr));
#if QT_CONFIG(tooltip)
        Rev1RoomKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Reverb Room", nullptr));
#endif // QT_CONFIG(tooltip)
        Rev1RoomKnob->setText(QCoreApplication::translate("padthv1widget", "Room", nullptr));
#if QT_CONFIG(tooltip)
        Rev1DampKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Reverb Damp", nullptr));
#endif // QT_CONFIG(tooltip)
        Rev1DampKnob->setText(QCoreApplication::translate("padthv1widget", "Damp", nullptr));
#if QT_CONFIG(tooltip)
        Rev1FeedbKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Reverb Feedback", nullptr));
#endif // QT_CONFIG(tooltip)
        Rev1FeedbKnob->setText(QCoreApplication::translate("padthv1widget", "Feedback", nullptr));
#if QT_CONFIG(tooltip)
        Rev1WidthKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Reverb Width", nullptr));
#endif // QT_CONFIG(tooltip)
        Rev1WidthKnob->setText(QCoreApplication::translate("padthv1widget", "Width", nullptr));
        Dyn1GroupBox->setTitle(QCoreApplication::translate("padthv1widget", "Dynamic", nullptr));
#if QT_CONFIG(tooltip)
        Dyn1CompressKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Dynamic Compressor", nullptr));
#endif // QT_CONFIG(tooltip)
        Dyn1CompressKnob->setText(QCoreApplication::translate("padthv1widget", "Compress", nullptr));
#if QT_CONFIG(tooltip)
        Dyn1LimiterKnob->setToolTip(QCoreApplication::translate("padthv1widget", "Dynamic Limiter", nullptr));
#endif // QT_CONFIG(tooltip)
        Dyn1LimiterKnob->setText(QCoreApplication::translate("padthv1widget", "Limiter", nullptr));
        (void)padthv1widget;
    } // retranslateUi

};

namespace Ui {
    class padthv1widget: public Ui_padthv1widget {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_PADTHV1WIDGET_H
